aboutsummaryrefslogtreecommitdiff
path: root/tests/fuzztest/run_radamsa.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/fuzztest/run_radamsa.sh')
-rwxr-xr-xtests/fuzztest/run_radamsa.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/tests/fuzztest/run_radamsa.sh b/tests/fuzztest/run_radamsa.sh
new file mode 100755
index 0000000..52cd40a
--- /dev/null
+++ b/tests/fuzztest/run_radamsa.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+TMP=`tempfile`
+
+echo $TMP
+while true
+do
+ radamsa sample_data/* > $TMP
+ $1 < $TMP
+ test $? -gt 127 && break
+done
+